%define major_glib 4
%define major_glib_vpn 1
%define major_util 2
%define libnm_glib %mklibname nm-glib %{major_glib}
%define libnm_glib_devel %mklibname -d nm-glib
%define libnm_glib_vpn %mklibname nm-glib-vpn %{major_glib_vpn}
%define libnm_glib_vpn_devel %mklibname -d nm-glib-vpn
%define libnm_util %mklibname nm-util %{major_util}
%define libnm_util_devel %mklibname -d nm-util

#define snapshot 0

%define rname NetworkManager

Name:		networkmanager
Summary:	Network connection manager and user applications
Version:	0.9.6.4
Release:	1
Group:		System/Base
License:	GPLv2+
URL:		http://www.gnome.org/projects/NetworkManager/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/%{rname}-%{version}%{?snapshot:.%{snapshot}}.tar.xz
Source1:	README.urpmi
# XXX: repository MIA?? patch manually regenerated...
# This patch is build from GIT at git://git.mandriva.com/projects/networkmanager.git
# DO NOT CHANGE IT MANUALLY.
# To generate patch use
#	git diff master..mdv
# Current mdv tip: 2e93ff7
Patch1:		networkmanager-0.9.4.0-mdv.patch
# Fedora patches
Patch2:		networkmanager-0.8.1.999-explain-dns1-dns2.patch
# Mandriva specific patches
Patch50:	networkmanager-0.9.2.0-systemd-start-after-resolvconf.patch
Patch51:	networkmanager-0.9.4.0-add-systemd-alias.patch
# fixed Patch52:	networkmanager-fix-includes.patch
Patch60:	networkmanager-0.9.4.0-mdv-nscd-systemd.patch
Patch63:	NetworkManager-0.9.4.0-dhcpcd-verbose-output.patch

# upstream patches
Patch104:	nm-polkit-permissive.patch
Patch107:	networkmanager-0.9.4.0-nm-remote-settings.patch

BuildRequires:	pkgconfig(libnl-1)
BuildRequires:	wpa_supplicant
BuildRequires:	libiw-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(nss)
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	ppp-devel
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(gudev-1.0)
#BuildRequires:	dhcp-client
BuildRequires:	iptables
BuildRequires:	pkgconfig(gobject-introspection-1.0)
# (bor) for systemd support, pkg-config; move to systemd?
BuildRequires:	systemd-units
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(libsoup-2.4)
Requires(post,preun,postun):	rpm-helper
Requires:	wpa_supplicant >= 0.7.3-2
Requires:	wireless-tools
Requires:	dhcp-client-daemon
Requires:	mobile-broadband-provider-info
Requires:	modemmanager
Requires:	dnsmasq-base
Requires:	ppp = %(rpm -q --queryformat "%{VERSION}" ppp )
Requires:	iproute2
Requires:	iptables
Provides:	NetworkManager = %{EVRD}
Suggests:	nscd
Obsoletes:	dhcdbd
Conflicts:	%{_lib}nm_util1 < 0.7.996
Conflicts:	initscripts < 9.24-5

%description
NetworkManager attempts to keep an active network connection available at all
times.  It is intended only for the desktop use-case, and is not intended for
usage on servers.   The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.  If using DHCP,
NetworkManager is _intended_ to replace default routes, obtain IP addresses
from a DHCP server, and change nameservers whenever it sees fit.

%package -n %{libnm_util}
Summary:	Shared library for nm_util
Group:		System/Libraries
Obsoletes:	%{mklibname networkmanager-util 0}
%rename		%{_lib}nm_util1

%description -n %{libnm_util}
Shared library for nm-util.

%package -n %{libnm_util_devel}
Summary:	Development files for nm_util
Group:		Development/C
Obsoletes:	%{mklibname networkmanager-util 0 -d}
Provides:	nm-util-devel = %{EVRD}
Requires:	%{libnm_util} = %{EVRD}
Obsoletes:	%{_lib}nm_util-devel < 0.7.996

%description -n %{libnm_util_devel}
Development files for nm-util.

%package -n %{libnm_glib}
Summary:	Shared library for nm_glib
Group:		System/Libraries
Obsoletes:	%{mklibname networkmanager-glib 0}

%description -n	%{libnm_glib}
This package contains the libraries that make it easier to use some
NetworkManager functionality from applications that use glib.

%package -n %{libnm_glib_devel}
Summary:	Development files for nm_glib
Group:		Development/C
Provides:	nm-glib-devel = %{EVRD}
Obsoletes:	%{mklibname networkmanager-glib 0 -d}
Requires:	%{libnm_glib} = %{EVRD}
Obsoletes:	%{_lib}nm_glib-devel < 0.7.996

%description -n %{libnm_glib_devel}
Development files for nm-glib.

%package -n %{libnm_glib_vpn}
Summary:	Shared library for nm-glib-vpn
Group:		System/Libraries
Conflicts:	%{_lib}nm-glib1 < 0.7.996

%description -n	%{libnm_glib_vpn}
This package contains the libraries that make it easier to use some
NetworkManager VPN functionality from applications that use glib.

%package -n %{libnm_glib_vpn_devel}
Summary:	Development files for nm-glib-vpn
Group:		Development/C
Provides:	nm-glib-vpn-devel = %{EVRD}
Requires:	%{libnm_glib_vpn} = %{EVRD}
Conflicts:	%{_lib}nm_glib-devel < 0.7.996

%description -n %{libnm_glib_vpn_devel}
Development files for nm-glib-vpn.

%prep
%setup -q -n %{rname}-%{version}
%patch1 -p1 -b .mdv~
%patch2 -p1 -b .explain-dns1-dns2~
%patch50 -p1 -b .after-resolvconf~
%patch51 -p1 -b .systemd-alias~
%patch60 -p1 -b .nscd_mdv~
%patch63 -p1 -b .dhcpcd~

%patch104 -p1 -b .permissive~
%patch107 -p1 -b .nmcli_con~

autoreconf -f

%build
%configure2_5x	--disable-static \
		--disable-rpath \
		--with-distro=mandriva \
		--with-crypto=nss \
		--enable-more-warnings=no \
		--with-docs=yes \
		--with-system-ca-path=%{_sysconfdir}/pki/tls/certs \
		--with-resolvconf=yes \
		--with-session-tracking=systemd \
		--with-systemdsystemunitdir=%{_systemunitdir} \
		--with-tests=yes \
		--with-dhcpcd=/sbin/dhcpcd \
		--with-dhclient=/sbin/dhclient \
		--with-iptables=/sbin/iptables \
		--with-resolvconf=/sbin/resolvconf \
		--enable-polkit \
		--enable-ppp \
		--enable-concheck \
		--with-wext=yes \

%make

%install
%makeinstall_std

cat > %{buildroot}%{_sysconfdir}/NetworkManager/NetworkManager.conf << EOF
[main]
plugins=ifcfg-mdv,keyfile
EOF

# create a VPN directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/VPN
install -m755 test/.libs/nm-online -D %{buildroot}%{_bindir}/nm-online

# create keyfile plugin system-settings directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/system-connections

# Add readme displayed by urpmi
cp %{SOURCE1} .

# link service file to match alias
ln -sf %{_systemunitdir}/%{rname}.service %{buildroot}%{_systemunitdir}/%{name}.service

# (bor) clean up on uninstall
install -d %{buildroot}%{_localstatedir}/lib/%{rname}
pushd %{buildroot}%{_localstatedir}/lib/%{rname} && {
	touch %{rname}.state
	touch timestamps
popd
}

%find_lang %{rname}

%post
%_post_service %{name} %{rname}.service

%preun
%_preun_service %{name} %{rname}.service

%postun
%_postun_unit %{rname}.service 

%files -f %{rname}.lang
%doc AUTHORS CONTRIBUTING ChangeLog NEWS README TODO
%doc README.urpmi
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.NetworkManager.conf
%{_sysconfdir}/dbus-1/system.d/nm-avahi-autoipd.conf
%{_sysconfdir}/dbus-1/system.d/nm-dhcp-client.conf
%{_sysconfdir}/dbus-1/system.d/nm-dispatcher.conf
%{_sysconfdir}/dbus-1/system.d/nm-ifcfg-rh.conf
%{_initrddir}/%{name}
%dir %{_sysconfdir}/%{rname}
%config(noreplace) %{_sysconfdir}/%{rname}/NetworkManager.conf
%{_sbindir}/%{rname}
%dir %{_sysconfdir}/%{rname}/dispatcher.d
%dir %{_sysconfdir}/%{rname}/system-connections
%dir %{_sysconfdir}/NetworkManager/VPN
%{_bindir}/nmcli
%{_bindir}/nm-tool
%{_bindir}/nm-online
%{_libdir}/nm-dispatcher.action
%{_libexecdir}/nm-dhcp-client.action
%{_libexecdir}/nm-avahi-autoipd.action
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*
%dir %{_libdir}/NetworkManager
%{_libdir}/NetworkManager/*.so
%{_libdir}/pppd/*.*.*/nm-pppd-plugin.so
%dir %{_localstatedir}/run/%{rname}
%dir %{_localstatedir}/lib/%{rname}
%ghost %{_localstatedir}/lib/%{rname}/*
%{_libexecdir}/nm-crash-logger
%dir %{_datadir}/%{rname}
%{_datadir}/%{rname}/gdb-cmd
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_datadir}/polkit-1/actions/org.freedesktop.NetworkManager.policy
%{_datadir}/gtk-doc/html/*
/lib/udev/rules.d/*.rules
%{_systemunitdir}/NetworkManager-wait-online.service
%{_systemunitdir}/NetworkManager.service
%{_systemunitdir}/networkmanager.service
%{_datadir}/dbus-1/system-services/org.freedesktop.NetworkManager.service

%files -n %{libnm_util}
%{_libdir}/libnm-util.so.%{major_util}*
%{_libdir}/girepository-1.0/NetworkManager-1.0.typelib

%files -n %{libnm_util_devel}
%dir %{_includedir}/%{rname}
%{_includedir}/%{rname}/*.h
%{_libdir}/pkgconfig/%{rname}.pc
%{_libdir}/pkgconfig/libnm-util.pc
%{_libdir}/libnm-util.so

%files -n %{libnm_glib}
%{_libdir}/libnm-glib.so.%{major_glib}*
%{_libdir}/girepository-1.0/NMClient-1.0.typelib

%files -n %{libnm_glib_vpn}
%{_libdir}/libnm-glib-vpn.so.%{major_glib_vpn}*

%files -n %{libnm_glib_devel}
%dir %{_includedir}/libnm-glib
%exclude %{_includedir}/libnm-glib/nm-vpn*.h
%{_includedir}/libnm-glib/*.h
%{_libdir}/pkgconfig/libnm-glib.pc
%{_libdir}/libnm-glib.so
%{_datadir}/gir-1.0/NMClient-1.0.gir
%{_datadir}/gir-1.0/NetworkManager-1.0.gir

%files -n %{libnm_glib_vpn_devel}
%{_includedir}/libnm-glib/nm-vpn*.h
%{_libdir}/pkgconfig/libnm-glib-vpn.pc
%{_libdir}/libnm-glib-vpn.so


%changelog
* Sun Oct 28 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6.4-1
+ Revision: 820115
- update to new version 0.9.6.4
- spec file clean

* Tue Aug 07 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.9.6.0-1
+ Revision: 812249
- update to new version 0.9.6.0

* Fri Jul 27 2012 Guilherme Moro <guilherme@mandriva.com> 0.9.5.96-1
+ Revision: 811178
- Update to version 0.9.5.96

* Fri Jul 06 2012 Guilherme Moro <guilherme@mandriva.com> 0.9.5.95-1
+ Revision: 808270
- Update to version 0.9.5.95

  + Franck Bui <franck.bui@mandriva.com>
    - fix installation of sysv service

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add back 'nmli con' fix that were lost when reverting from git snapshot (P107)
    - drop dependency on systemd-units as it's already pulled in by rpm-helper
    - reorder patches
    - get more verbosive output from dhcpcd (P63)

* Mon May 28 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.4.0-8
+ Revision: 800873
- don't rename sys v init file, gmoro has fixed the issue by adding an alias in
  stead
- replace dependency on 'dhcp-client' to 'dhcp-client-daemon' so that both
  dhcp-client & dhcpcd packages can be used to satisfy dependency
- revert back to using stable 0.9.4.0 tarballs, rather than git snapshot which
  overview of has been lost (hopefully finally fixing #65551)
- add suggests on nscd

* Tue May 22 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.4.0-7
+ Revision: 800050
- rename sysv service name to be consistent with systemd service name, preventing
  systemd considering them as two different services (#65206)
- leave removal of libtool files to spec-helper

* Sat May 19 2012 Guilherme Moro <guilherme@mandriva.com> 0.9.4.0-6
+ Revision: 799585
- fix systemd init
  change BR to not pull texlive

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - revert back using nss rather than gnutls for crypto

* Sat May 12 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.4.0-4
+ Revision: 798502
- cli: fix 'nm -nocheck con up' (P61, from upstream)
- replace nscd patch from mageia with a systemd-specific one from upstream (P60)

* Tue Apr 24 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.4.0-3
+ Revision: 793215
- update buildrequires
- SIlENT: add patch
- bump release
- change from nss to gnutls for crypto
- enable polkit support
- update to latest from git
- Fix nscd deadlock when booting under systemd (mga#4509, P58)

* Thu Mar 29 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.4.0-2
+ Revision: 788094
- initialize NMRemoteSettings in nm_remote_settings_new() (rhbz#806664, P57)
- ensure bindings-created NMClient object work (rhbz#802536, P56)

* Sun Mar 25 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.4.0-1
+ Revision: 786613
- update to new version 0.9.4.0
- rediff patch 1
- drop patch 52, fixed by upstream
- Patch 55: fix format not a string literal and no format arguments error

* Sun Mar 11 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.3.995-1
+ Revision: 784142
- fix missing linkage (P54)
- build with systemd session tracking support
- specify paths to dhcpcd, dhclient, iptables & resolvconf to ensure that we
  always build with support for these
- Fix NM startup bug (P53, GNOME #671276, Mageia #4780)
- ditch _requires_exceptions
- update mandriva patch
- add upstream patch to fix the build (picked up from Mageia)
- new version

  + Jon Dill <dillj@mandriva.org>
    - rebuild against new version of libffi4

* Thu Dec 01 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.2.0-2
+ Revision: 736007
- convert to use pkgconfig() buildrequires
- use %%{_systemunitdir} macro
- ditch conditional on systemd, it's here to stay...
- move autoreconf to %%prep
- add Default-Stop LSB header in initscript (P51, from blino)
- drop additional -devel provides with different naming style, they're not really
  that useful...

* Thu Dec 01 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.2.0-1
+ Revision: 735874
- add gobject-introspection-devel >= 0.10.3 to buildrequires
- add versioned requires on wpa_supplicant
- use %%rename
- use %%{EVRD} macro
- make -devel provides canonical
- ditch renaming & symlinking of systemd service file, it breaks stuff!
- new version
- update ifcfg-mdv plugin

* Sun Nov 13 2011 Oden Eriksson <oeriksson@mandriva.com> 0.8.6.0-1
+ Revision: 730411
- roll back to 0.8.6.0 because someone has to port the patch by eugeni dodonov
- P51: make it build with glib-2.31.0+
- 0.9.2.0
- actually bump the version in the spec file too
- 0.8.6.0

  + Zé <ze@mandriva.org>
    - add scriptlets for systemd
    - clean BR, defattr and clean section

  + Matthew Dawkins <mattydaw@mandriva.org>
    - removed unnecessary BR hal-devel

* Thu Apr 21 2011 Funda Wang <fwang@mandriva.org> 0.8.4.0-1
+ Revision: 656387
- do not promoteall the warnings
- new version 0.8.4.0

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 0.8.3.999-1
+ Revision: 650535
- new version 0.8.3.999

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Enable keyfile plugin as well for now (#62909).

* Sat Mar 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.998-1
+ Revision: 647050
- 0.8.4-rc1
- own /var/lib/NetworkManager and state files inside

* Sat Mar 05 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.997-1
+ Revision: 642099
- update to 0.8.4-beta3
- P1: update. Mention ifcfg-mdv in manual, order networkmanager after
  resolvconf, watch wpa_supplicant.conf for changes
- P100,101,102: remove, integrated upstream
- P50: ensure NetworkManager is started after resolvconf under systemd

* Sat Feb 26 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-8
+ Revision: 640141
- P1: update to handle NAME, UUID, LAST_CONNECT and remove _NM_ONBOOT hack
- conflict with initscripts < 9.24-5
- update README.urpmi to reflect drakx-net changes

* Sat Feb 26 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-7
+ Revision: 640032
- P100,101,102: fix crash on shutdown with systemd

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Switch to new configuration file (#62062).

* Fri Jan 28 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.8.2-6
+ Revision: 633549
- Use lowercase service name to be compatible with init.

* Tue Jan 25 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.8.2-5
+ Revision: 632509
- Provide networkmanager.service unit

* Sun Jan 16 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.8.2-4
+ Revision: 631154
- Build with systemd by default.

* Sat Nov 20 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-3mdv2011.0
+ Revision: 599216
- update mdv patch
- require syslog, messagebus on startup/shutdown
- ifcfg-mdv ignored changed ifcfg file
- on startup all connections after first unmanaged interface were
  ignored (likely present in ifcfg-rh as well)

* Tue Nov 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-2mdv2011.0
+ Revision: 598014
- patch1: merge into ifcfg-mdv changes in ifcfg-rh since initial fork

* Fri Nov 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 593780
- 0.8.2 final

* Thu Nov 04 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.1.999-1mdv2011.0
+ Revision: 593120
- update to 0.8.2-rc
  remove patch3 (upstream)
  redo patch2 (source file is moved)
  redo patch1 (ifcfg-mdv)
  conditional systemd support build, currently disabled

  + Funda Wang <fwang@mandriva.org>
    - new verison 0.8.1

* Sat Jul 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.0.999-1mdv2011.0
+ Revision: 554744
- update patch0 (mdv patch)
- patch3: printf format fix
- update to 0.8.1-rc

* Mon Mar 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-3mdv2010.1
+ Revision: 513074
- update patch1 - support WPA2/EAP wireless security; no wireless.d yet

* Fri Feb 26 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-2mdv2010.1
+ Revision: 511440
- rebuild due to stuck package
- update patch0 - support for editing system connections (wired, WEP and WPA-PSK for now)
- new version

* Thu Feb 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.999-4mdv2010.1
+ Revision: 507449
- add README.urpmi
- update patch1
  add comment to spec to decsribe GIT usage and commit used to generate patch
- mark nm-system-settings.conf as %%config(noreplace)
- install directory for keyfile system-settings plugin

* Sun Feb 14 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.999-3mdv2010.1
+ Revision: 505900
- patch1: really add ifcfg-mdv and set it as default

* Mon Feb 08 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.7.999-2mdv2010.1
+ Revision: 502447
- Forgot to increase mkrel
- rebuild
- Added experimental patch from Eugeni to add support for a Mandriva backend.

  + Frederik Himpe <fhimpe@mandriva.org>
    - Fix summary and provides of libnm-glib-vpn-devel

* Fri Jan 22 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.999-1mdv2010.1
+ Revision: 495115
- Update to new version 0.7.999

* Fri Jan 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20100101.1mdv2010.1
+ Revision: 484900
- Update to new snapshot, build for new ppp

* Tue Nov 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091117.1mdv2010.1
+ Revision: 467052
- Update to new git snapshot
- Remove two patches integrated upstream

* Sun Nov 15 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.4mdv2010.1
+ Revision: 466263
- Add patch to make it use /var/lib/dhcp for the dhclient lease files

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.3mdv2010.1
+ Revision: 465515
- Fix libnm-glib-vpn-devel provides

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.2mdv2010.1
+ Revision: 465473
- Fix upgrade from previous versions

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.1mdv2010.1
+ Revision: 465463
- Fix Requires and BuildRequires
- Sync with Fedora 12:
  * Use new 07.996 snapshot
  * Add 2 Fedora patches
  * New Requires
- Underscores in library names have been replaces by dashes
- move libnm-glib-vpn to separate subpackage because it has a
  different major now
- Install nm-system-settings.conf to the default location, in order
  to not having to patch networkmanager
- Fix libnm-util libification by moving nm-ppd-plugin.so to
  networkmanager package

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.7.1-3mdv2010.0
+ Revision: 409343
- Updated buildrequires for libuuid.

* Tue Jun 09 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.7.1-2mdv2010.0
+ Revision: 384191
- Updated to 0.7.1

* Mon Mar 30 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.0.99-2mdv2009.1
+ Revision: 362254
- Fix bug 46945
- Fix bug 46945

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.0.99-1mdv2009.1
+ Revision: 349737
- New upstream release

* Mon Dec 01 2008 Funda Wang <fwang@mandriva.org> 0.7.0-3mdv2009.1
+ Revision: 308692
- really fix bug#46095

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.7.0-2mdv2009.1
+ Revision: 308479
- add more virtaul provides
- with-mdns-provider not recognized

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2009.1
+ Revision: 308360
- 0.7.0 final

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-0.3675.3mdv2009.0
+ Revision: 242459
- remove comment as well
- move autoreconf call to prep stage
- fix deps exceptions for 64 bit
- remove unused configure options
- update build deps

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-0.3675.2mdv2009.0
+ Revision: 242329
- add missing deps

* Wed Jun 18 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.0-0.3675.1mdv2009.0
+ Revision: 225776
- Changed a little bit the versionin scheme to enable use subversioning.
- Added the devel requires exceptions to allows installation of devel packages

* Tue Jun 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.5.svn3675mdv2009.0
+ Revision: 217721
- add buildroot
- revert previous changes that broke a lot of stuff
  * some cleanups and updating..

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1:0.7.0-0.9.3.svn3669.2mdv2009.0
+ Revision: 209082
- fix typo in Obsoletes tags

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1:0.7.0-0.9.3.svn3669.1mdv2009.0
+ Revision: 208864
- enable epoch
- sync with 0.7.0-0.9.3.svn3669.fc10
- change lib package names to match library names

* Tue Mar 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.4mdv2008.1
+ Revision: 188564
- d'oh, remove dhcdb from buildrequires
- new svn snapshot
- update mandriva backend (P2)
- build fedora nm-system-settings plugin
- enable avahi for mdns (fixes crash with NetworkManager due to no mdns)
- this release actually works :p

* Sat Mar 01 2008 Olivier Blin <blino@mandriva.org> 0.7.0-0.3mdv2008.1
+ Revision: 177393
- obsolete dhcdbd (obsoleted by NM >= 0.7.0)

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Fri Feb 08 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.2mdv2008.1
+ Revision: 164291
- fix problems with conflicts of -devel packages reported by blino

* Thu Feb 07 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.1mdv2008.1
+ Revision: 163655
- fix buildrequires
- New release: 0.7.0'ish (from svn, grabbed from suse)
- sync patches (P0 & P1) and much of structure with Fedora
- add Mandriva backend (P2)
- split out nm-applet
- cleanups

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6.4-5mdv2007.0
+ Revision: 121928
- fix buildrequires
- patch2 fix compil with latest dbus

* Fri Sep 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-4mdv2007.0
- Add BuildRequire

* Sat Aug 05 2006 Olivier Blin <blino@mandriva.com> 0.6.4-3mdv2007.0
- Patch1: fix build for new dbus
- add libiw-devel BuildRequires and wireless-tools Requires

* Thu Jul 20 2006 Olivier Blin <blino@mandriva.com> 0.6.4-2mdv2007.0
- update icon cache

* Wed Jul 19 2006 Olivier Blin <blino@mandriva.com> 0.6.4-1mdv2007.0
- initial Mandriva release
- Patch0: fake include of <linux/if.h>

